Skip to content
Docs

Restore staged project-level redirects to their production version.

POSThttps://api.vercel.com/v1/bulk-redirects/restore
Restores the provided redirects in the staging version to the value in the production version. If no production version exists, removes the redirects from staging.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.bulkRedirects.restoreRedirects({
projectId: "<id>",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
});
console.log(result);
}
run();
Response
{
"version": {
"id": "icfg_1234567890",
"key": "string",
"lastModified": "123",
"createdBy": "string",
"name": "Example Name",
"isStaging": "false",
"isLive": "false",
"redirectCount": "123",
"alias": "string"
},
"restored": [],
"failedToRestore": []
}
AuthorizationbearerToken

Default authentication mechanism

projectIdstringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
namestringOptional
redirectsarrayRequired
The redirects to restore. The source of the redirect is used to match the redirect to restore.
200Success
versionobjectRequired
restoredarrayRequired
failedToRestorearrayRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
500Error